<?php
/**
 * Lucks - Checkout API example
 * On this page, the user can prepare its cart
 */

// Include config to get items list
require_once "config.php";

// Prepare the html list of the items for sale
$itemsHtml = "";
foreach ($itemsForSale as $name => $price) {
    $itemsHtml .= htmlspecialchars($name)." (".htmlspecialchars($price)." Lucks) <input type=\"number\" name=\"".htmlspecialchars($name)."\" value=\"0\" min=\"0\" step=\"1\" /><br /><br />";
}

?><!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>MyShop - Prepare your cart</title>
        <style>
            body { font-family: sans-serif; text-align: center; }
            h1 a { color: black; text-decoration: none; outline: none; }
            #content { width: 100%; max-width: 750px; display: inline-block; background-color: #f0f0f0; padding-bottom: 50px; }
            input[type=number] { width: 50px; }
            input[type=submit] { font-size: 15px; font-weight: bold; border: 1px solid black; border-radius: 3px; padding: 5px; cursor: pointer; }
        </style>
    </head>
    <body>
        <h1><a href="index.php">MyShop</a></h1>
        <div id="content">
            <h2>Prepare your cart</h2>
            <form action="cart.php" method="post">
                <?=$itemsHtml?><br /><br />
                <input type="submit" value="Confirm" />
            </form>
        </div>
    </body>
</html>